Skip to main content
`Ctrl`+`K`

# DMPlexReferenceTreeGetChildSymmetry

Given a reference tree, transform a childid and orientation from one parent frame to another

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexReferenceTreeGetChildSymmetry(DM dm, PetscInt parent, PetscInt parentOrientA, PetscInt childOrientA, PetscInt childA, PetscInt parentOrientB, PetscInt *childOrientB, PetscInt *childB)

## Input Parameters

- dm - the reference tree `DMPLEX` object

- parent - the parent point

- parentOrientA - the reference orientation for describing the parent

- childOrientA - the reference orientation for describing the child

- childA - the reference childID for describing the child

- parentOrientB - the new orientation for describing the parent

## Output Parameters

- childOrientB - if not `NULL`, set to the new orientation for describing the child

- childB - if not `NULL`, the new childID for describing the child

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetReferenceTree()`, `DMPlexSetReferenceTree()`, `DMPlexSetTree()`

## Level

developer

## Location

src/dm/impls/plex/plextree.c

## Implementations

DMPlexReferenceTreeGetChildSymmetry_Default() in src/dm/impls/plex/plextree.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages